"""
Create a layout with just a button and callback to test for blocking of .on_click() event.

"""

from bokeh.models import Button, CustomJS
from bokeh.layouts import column


def button_callback_1():
    print('Test button 1 pressed.')


def create_layout():
    test_button_1 = Button(label='Test 1')
    test_button_1.on_click(button_callback_1)
    test_button_1.js_on_click(CustomJS(code="""console.log('Test button 1 clicked!')"""))
    test_button_2 = Button(label='Test 2')
    new_layout = column(test_button_1, test_button_2)

    return new_layout, test_button_2
